Subject: [rohc] MUST FEEDBACK-2 be used if LARGE CID is configured?

From: [email-masked]
Date: Tue, 23 Mar 2004 14:22:12 +0800

If  FEEDBACK-2 MUST be used if LARGE CID is configured, description in the 
last of Chater 5.2.2/RFC3095 
should be modified order to give a detailed and clearly descrition.

Original copy of Chapter 5.2.2, RFC3095
The compressor can use the following logic to parse the feedback field.
1) If for large CIDs, the feedback will always start with a CID encoded 
according to
   section 4.5.6. If the first bit is 0, the CID uses one octet. If the 
first bit is
   1, the CID uses two octets.
2) If for small CIDs, and the size is one octet, the feedback is a 
FEEDBACK-1.
3) If for small CIDs, and the size is larger than one octet, and the 
feedback starts
   with the two bits 11, the feedback starts with an Add-CID octet. If the 
size is 2,
   it is followed by FEEDBACK-1. If the size is larger than 2, the Add-CID 
is followed
   by FEEDBACK-2.
4) Otherwise, there is no Add-CID octet, and the feedback starts with a 
FEEDBACK-2.

Modification to Chapter 5.2.2/RFC3095
For Large CID 
      the feedback will always start with a CID encoded according to section 
4.5.6. If 
   the first bit is 0, the CID uses one octet. If the first bit is 1, the 
CID uses
   two octets. And FEEDBACK-2 must be used.

For small CID: 
   1) If the size is one octet, the feedback is a FEEDBACK-1.
   2) If the size is larger than one octet, and the feedback starts with 
the two bits 11,
      the feedback starts with an Add-CID octet.If the size is 2,it is 
followed by 
      FEEDBACK-1. If the size is larger than 2, the Add-CID is followed by 
FEEDBACK-2.
   3) Otherwise, there is no Add-CID octet, and the feedback starts with a 
FEEDBACK-2.

Best Regards
 
Zhou Zongming 周宗明
===========================================================================
COMMIT Incorporated
Add: 18 Shenwang Rd, Xinzhuang Industrial Development Zone, Shanghai China
Post Code: 201108
Tel: +86-21-5442-4885 Ext:3405
FAX: +86-21-5442-4886
Email: [email-masked]
===========================================================================
The information contained in this e-mail and any attachments thereto from 
COMMIT Incorporated is intended to be for the use of the person named 
above and may be private, confidential and privileged. If you are not the 
intended recipient of this transmission, you are hereby notified that any 
disclosure, copying, distribution, printing or use of the contents of this 
communication is strictly prohibited. If you have received this e-mail in 
error, please notify the sender immediately and permanently delete the 
original and any copies of this email and any attachments thereto.

---

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Tue, 23 Mar 2004 15:11:30 +0100

Hi,

I think you have misread RFC3095 here, the text can be confusing.
There is no requirement that FEEDBACK-2 must be used for LARGE_CID.
The 5.2.2. text you refer to might have caused this confusion by
its 1),2),3),4) structure, which could had been 1),2a),2b),2c)
instead. 4) does not refer to LARGE_CID, but to SMALL_CID without
an Add-CID octet (i.e. no CID).

BR
/Lars-Erik

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of [email-masked]
> Sent: den 23 mars 2004 07:22
> To: [email-masked]
> Subject: [rohc] MUST FEEDBACK-2 be used if LARGE CID is configured?
>
>
>
> If  FEEDBACK-2 MUST be used if LARGE CID is configured, description
> in the last of Chater 5.2.2/RFC3095 should be modified order to give
> a detailed and clearly descrition. 
>
> 1) If for large CIDs, the feedback will always start with a CID encoded according to 
>    section 4.5.6. If the first bit is 0, the CID uses one octet. If the first bit is 
> 2) If for small CIDs, and the size is one octet, the feedback is a FEEDBACK-1. 
> 3) If for small CIDs, and the size is larger than one octet, and the feedback starts 
>    with the two bits 11, the feedback starts with an Add-CID octet. If the size is 2, 
>    it is followed by FEEDBACK-1. If the size is larger than 2, the Add-CID is followed 
>    by FEEDBACK-2. 
> 4) Otherwise, there is no Add-CID octet, and the feedback starts with a FEEDBACK-2. 
>
>      the feedback will always start with a CID encoded according to section 4.5.6. If 
>   the first bit is 0, the CID uses one octet. If the first bit is 1, the CID uses 
>   2) If the size is larger than one octet, and the feedback starts with the two bits 11, 
>      the feedback starts with an Add-CID octet.If the size is 2,it is followed by 
>      FEEDBACK-1. If the size is larger than 2, the Add-CID is followed by FEEDBACK-2. 
>   3) Otherwise, there is no Add-CID octet, and the feedback starts with a FEEDBACK-2. 

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc